Subject: Re: [PATCH v2.5 02/11] bundle: verify using connected()

From: Junio C Hamano <[email-masked]>
Date: Tue, 24 Jan 2023 12:41:16 -0800

Derrick Stolee <[email-masked]> writes:

>> I do not see the need to say "even" here.  In what other situation
>> do we make connectivity checks, and is there a need to be more
>> strict than others when checking fetched packfiles?
>
> I suppose that I was implying that fetches are the more common
> operation, and the scrutiny applied to an arbitrary pack-file from
> a remote is probably higher there. However, who knows where a
> bundle came from, so the scrutiny should be the same.

Ah, I see that is where that "even" came from.  And yes, I agree
that unbundling and fetch should be suspicious of their input to the
same degree.